org.apache.uima.ruta.example.extensions

## Class ExampleAction

- java.lang.Object
- - org.apache.uima.ruta.RutaElement
  - - org.apache.uima.ruta.action.AbstractRutaAction
    - - org.apache.uima.ruta.example.extensions.ExampleAction

-     public class ExampleAction
      extends org.apache.uima.ruta.action.AbstractRutaAction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleAction(List<org.apache.uima.ruta.expression.number.INumberExpression> indexExprList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream, org.apache.uima.ruta.visitor.InferenceCrowd crowd)`
    `List<org.apache.uima.ruta.expression.number.INumberExpression>` | `getIndexExprList()`
    `void` | `setIndexExprList(List<org.apache.uima.ruta.expression.number.INumberExpression> indexExprList)`

    - ### Methods inherited from class org.apache.uima.ruta.action.AbstractRutaAction

      `addAnnotationToLabel, getIndexList, getLabel, setLabel, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleAction

          public ExampleAction(List<org.apache.uima.ruta.expression.number.INumberExpression> indexExprList)

  - ### Method Detail

    - #### execute

          public void execute(org.apache.uima.ruta.rule.MatchContext context,
                              org.apache.uima.ruta.RutaStream stream,
                              org.apache.uima.ruta.visitor.InferenceCrowd crowd)

      Specified by:
        `execute` in class `org.apache.uima.ruta.action.AbstractRutaAction`

    - #### getIndexExprList

          public List<org.apache.uima.ruta.expression.number.INumberExpression> getIndexExprList()

    - #### setIndexExprList

          public void setIndexExprList(List<org.apache.uima.ruta.expression.number.INumberExpression> indexExprList)

Copyright © 2011–2022 The Apache Software Foundation. All rights reserved.